<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__bt__a2d_8h" kind="file" language="C++">
    <compoundname>wiced_bt_a2d.h</compoundname>
    <includes local="yes" refid="wiced__bt__sdp_8h">wiced_bt_sdp.h</includes>
    <innerclass prot="public" refid="structwiced__bt__a2d__sdp__db__params__t">wiced_bt_a2d_sdp_db_params_t</innerclass>
    <innerclass prot="public" refid="structwiced__bt__a2d__service__t">wiced_bt_a2d_service_t</innerclass>
      <sectiondef kind="user-defined">
      <header>(Source) Profile supported features.</header>
      <description><para><anchor id="group__wicedbt__av__a2d__helper_1A2D_SUPF_SOURCE" /></para>
</description>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaa8c72f0c985ad4f55e2a722a25603cac" kind="define" prot="public" static="no">
        <name>A2D_SUPF_PLAYER</name>
        <initializer>0x0001</initializer>
        <briefdescription>
<para>Player. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="30" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="30" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga5de55223a2f8df2b7bee437090c40539" kind="define" prot="public" static="no">
        <name>A2D_SUPF_MIC</name>
        <initializer>0x0002</initializer>
        <briefdescription>
<para>MIC. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="31" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="31" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gafd17e94ec2d3ef0df44c4f52acd8f3fe" kind="define" prot="public" static="no">
        <name>A2D_SUPF_TUNER</name>
        <initializer>0x0004</initializer>
        <briefdescription>
<para>Tuner. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="32" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="32" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga4014553e31b4d1f6730dacaf1d0960b9" kind="define" prot="public" static="no">
        <name>A2D_SUPF_MIXER</name>
        <initializer>0x0008</initializer>
        <briefdescription>
<para>Mixer. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="33" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="33" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>(Sink) Profile supported features.</header>
      <description><para><anchor id="group__wicedbt__av__a2d__helper_1A2D_SUPF_SINK" /></para>
</description>
      <memberdef id="group__wicedbt__av__a2d__helper_1gabbd17aca0ce8d3f95b1145c8aaee6c99" kind="define" prot="public" static="no">
        <name>A2D_SUPF_HEADPHONE</name>
        <initializer>0x0001</initializer>
        <briefdescription>
<para>Headphone. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="41" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="41" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga263e4494bdff19251a953e8359d8fd23" kind="define" prot="public" static="no">
        <name>A2D_SUPF_SPEAKER</name>
        <initializer>0x0002</initializer>
        <briefdescription>
<para>Speaker. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="42" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="42" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga374941cea9aeb2dec5b17e90bd9688f4" kind="define" prot="public" static="no">
        <name>A2D_SUPF_RECORDER</name>
        <initializer>0x0004</initializer>
        <briefdescription>
<para>Recorder. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="43" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="43" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaa9e87578c2a1c5c203a94262980526b6" kind="define" prot="public" static="no">
        <name>A2D_SUPF_AMP</name>
        <initializer>0x0008</initializer>
        <briefdescription>
<para>Amplifier. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="44" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="44" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>AV Media Types.</header>
      <description><para><anchor id="group__wicedbt__av__a2d__helper_1A2D_MEDIA_TYPE" /></para>
</description>
      <memberdef id="group__wicedbt__av__a2d__helper_1gad5755072e66c0710cf0485ccafa7d7aa" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_TYPE_AUDIO</name>
        <initializer>0x00</initializer>
        <briefdescription>
<para>audio media type + RFA </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="52" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="52" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga205fcf7a21b10dcf379a0c52ec8d04ad" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_TYPE_VIDEO</name>
        <initializer>0x10</initializer>
        <briefdescription>
<para>video media type + RFA </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="53" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="53" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga72a61563b28df572ed2710a46d93fb58" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_TYPE_MULTI</name>
        <initializer>0x20</initializer>
        <briefdescription>
<para>multimedia media type + RFA </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="54" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="54" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>AV Media Codec Type (Audio Codec ID).</header>
      <description><para><anchor id="group__wicedbt__av__a2d__helper_1A2D_MEDIA_CT" /></para>
</description>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga213f7cfc3fdffb044e4560e8241257de" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_CT_SBC</name>
        <initializer>0x00</initializer>
        <briefdescription>
<para>SBC media codec type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="62" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="62" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaf2a32e2e44ba63210a20d2f992f73450" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_CT_M12</name>
        <initializer>0x01</initializer>
        <briefdescription>
<para>MPEG-1, 2 Audio media codec type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="63" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="63" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gac1fcd3563b12680e39dc49a4f1ccfca6" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_CT_M24</name>
        <initializer>0x02</initializer>
        <briefdescription>
<para>MPEG-2, 4 AAC media codec type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="64" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="64" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaef3e34ccdc47a45ef0c7f443379c016f" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_CT_ATRAC</name>
        <initializer>0x04</initializer>
        <briefdescription>
<para>ATRAC family media codec type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="65" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="65" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga030e0a104074e9deeac610afd7945406" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_CT_VEND</name>
        <initializer>0xFF</initializer>
        <briefdescription>
<para>Vendor specific. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="66" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="66" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga2120413881a5bf229edc873bfab34dfb" kind="define" prot="public" static="no">
        <name>A2D_MEDIA_CT_APTX</name>
        <initializer><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga030e0a104074e9deeac610afd7945406">A2D_MEDIA_CT_VEND</ref></initializer>
        <briefdescription>
<para>APTX media codec type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="67" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="67" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>A2DP status codes.</header>
      <description><para><anchor id="group__wicedbt__av__a2d__helper_1A2D_STATUS" /></para>
</description>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga235b873e3a932294d4cc304eee0a6507" kind="define" prot="public" static="no">
        <name>A2D_SUCCESS</name>
        <initializer>0</initializer>
        <briefdescription>
<para>Success. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="76" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="76" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaef35e6f44545251f6d51491ee5c6c65b" kind="define" prot="public" static="no">
        <name>A2D_FAIL</name>
        <initializer>0x0A</initializer>
        <briefdescription>
<para>Failed. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="77" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="77" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gabf393fe616585a9ae694a5e89b8c5d76" kind="define" prot="public" static="no">
        <name>A2D_BUSY</name>
        <initializer>0x0B</initializer>
        <briefdescription>
<para>wiced_bt_a2d_find_service is already in progress </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="78" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="78" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga08d274cdcddd0cfcd99eec5d74f0e457" kind="define" prot="public" static="no">
        <name>A2D_INVALID_PARAMS</name>
        <initializer>0x0C</initializer>
        <briefdescription>
<para>bad parameters </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="79" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="79" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga37a6d7bf1b3ae2bd9dc887ec71e9a6b1" kind="define" prot="public" static="no">
        <name>A2D_WRONG_CODEC</name>
        <initializer>0x0D</initializer>
        <briefdescription>
<para>wrong codec info </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="80" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="80" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga993c5e5412998d6c3ccc603155cbaee6" kind="define" prot="public" static="no">
        <name>A2D_BAD_CODEC_TYPE</name>
        <initializer>0xC1</initializer>
        <briefdescription>
<para>Media Codec Type is not valid. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="81" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="81" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga3343e92a14dbe667f5f95dd6d04b7ae9" kind="define" prot="public" static="no">
        <name>A2D_NS_CODEC_TYPE</name>
        <initializer>0xC2</initializer>
        <briefdescription>
<para>Media Codec Type is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="82" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="82" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gad99941b8ac79bfb97c8df36c9275e3bb" kind="define" prot="public" static="no">
        <name>A2D_BAD_SAMP_FREQ</name>
        <initializer>0xC3</initializer>
        <briefdescription>
<para>Sampling Frequency is not valid or multiple values have been selected. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="83" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="83" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga1817eb31fc3570f8b3620d2469645bda" kind="define" prot="public" static="no">
        <name>A2D_NS_SAMP_FREQ</name>
        <initializer>0xC4</initializer>
        <briefdescription>
<para>Sampling Frequency is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="84" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="84" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga401963ade490e24f0d41bc705c604565" kind="define" prot="public" static="no">
        <name>A2D_BAD_CH_MODE</name>
        <initializer>0xC5</initializer>
        <briefdescription>
<para>Channel Mode is not valid or multiple values have been selected. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="85" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="85" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga79c33dc162a9a5c1b83a090467ef2cb0" kind="define" prot="public" static="no">
        <name>A2D_NS_CH_MODE</name>
        <initializer>0xC6</initializer>
        <briefdescription>
<para>Channel Mode is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="86" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="86" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga5e6ad2137e606d96462fe95f9ebbc86d" kind="define" prot="public" static="no">
        <name>A2D_BAD_SUBBANDS</name>
        <initializer>0xC7</initializer>
        <briefdescription>
<para>None or multiple values have been selected for Number of Subbands. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="87" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="87" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga712033edb3e7765b3f69d92286cee0b2" kind="define" prot="public" static="no">
        <name>A2D_NS_SUBBANDS</name>
        <initializer>0xC8</initializer>
        <briefdescription>
<para>Number of Subbands is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="88" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="88" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gad192d339d80f88f0ab96ce1d5d1be313" kind="define" prot="public" static="no">
        <name>A2D_BAD_ALLOC_MTHD</name>
        <initializer>0xC9</initializer>
        <briefdescription>
<para>None or multiple values have been selected for Allocation Method. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="89" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="89" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gad205a7298217a5394dab10db8003efb2" kind="define" prot="public" static="no">
        <name>A2D_NS_ALLOC_MTHD</name>
        <initializer>0xCA</initializer>
        <briefdescription>
<para>Allocation Method is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="90" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="90" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga69f01c7970813dd88f9dcb820819423a" kind="define" prot="public" static="no">
        <name>A2D_BAD_MIN_BITPOOL</name>
        <initializer>0xCB</initializer>
        <briefdescription>
<para>Minimum Bitpool Value is not valid. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="91" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="91" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaf8e16acafb90b14702ab70df0536bfb0" kind="define" prot="public" static="no">
        <name>A2D_NS_MIN_BITPOOL</name>
        <initializer>0xCC</initializer>
        <briefdescription>
<para>Minimum Bitpool Value is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="92" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="92" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga15b07c709f8fa5a4de09273e55b335cf" kind="define" prot="public" static="no">
        <name>A2D_BAD_MAX_BITPOOL</name>
        <initializer>0xCD</initializer>
        <briefdescription>
<para>Maximum Bitpool Value is not valid. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="93" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="93" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaf5324a235680a5852f96d2b7da6a15ba" kind="define" prot="public" static="no">
        <name>A2D_NS_MAX_BITPOOL</name>
        <initializer>0xCE</initializer>
        <briefdescription>
<para>Maximum Bitpool Value is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="94" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="94" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga783c8401e79dc865b6389f7a7eb309e3" kind="define" prot="public" static="no">
        <name>A2D_BAD_LAYER</name>
        <initializer>0xCF</initializer>
        <briefdescription>
<para>None or multiple values have been selected for Layer. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="95" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="95" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gab0f9fd9b7433900a7aaade60038b7dca" kind="define" prot="public" static="no">
        <name>A2D_NS_LAYER</name>
        <initializer>0xD0</initializer>
        <briefdescription>
<para>Layer is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="96" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="96" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga1fbf5986433a5cab32b25f3d0d97d49d" kind="define" prot="public" static="no">
        <name>A2D_NS_CRC</name>
        <initializer>0xD1</initializer>
        <briefdescription>
<para>CRC is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="97" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="97" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga27c7bd1b816f77599b8870c23cefcc03" kind="define" prot="public" static="no">
        <name>A2D_NS_MPF</name>
        <initializer>0xD2</initializer>
        <briefdescription>
<para>MPF-2 is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="98" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="98" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga1f7b4cc16b7087cf4f6f74460c5be62b" kind="define" prot="public" static="no">
        <name>A2D_NS_VBR</name>
        <initializer>0xD3</initializer>
        <briefdescription>
<para>VBR is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="99" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="99" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga653486795f9a5c0765c51760939d9992" kind="define" prot="public" static="no">
        <name>A2D_BAD_BIT_RATE</name>
        <initializer>0xD4</initializer>
        <briefdescription>
<para>None or multiple values have been selected for Bit Rate. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="100" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="100" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaa6a1e0bed19c7df95e0249e825947807" kind="define" prot="public" static="no">
        <name>A2D_NS_BIT_RATE</name>
        <initializer>0xD5</initializer>
        <briefdescription>
<para>Bit Rate is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="101" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="101" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gaee99dbb6080782e83424bec9e8d2cdbf" kind="define" prot="public" static="no">
        <name>A2D_BAD_OBJ_TYPE</name>
        <initializer>0xD6</initializer>
        <briefdescription>
<para>Either 1) Object type is not valid (b3-b0) or 2) None or multiple values have been selected for Object Type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="102" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="102" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga09f90c5988806e80d82cb42ca1b3d3ad" kind="define" prot="public" static="no">
        <name>A2D_NS_OBJ_TYPE</name>
        <initializer>0xD7</initializer>
        <briefdescription>
<para>Object type is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="103" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="103" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga722b146cea0bd9be7c6e2ffa2d43c2a1" kind="define" prot="public" static="no">
        <name>A2D_BAD_CHANNEL</name>
        <initializer>0xD8</initializer>
        <briefdescription>
<para>None or multiple values have been selected for Channels. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="104" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="104" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gacb050bae5f1841338bc9a5a96a552457" kind="define" prot="public" static="no">
        <name>A2D_NS_CHANNEL</name>
        <initializer>0xD9</initializer>
        <briefdescription>
<para>Channels is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="105" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="105" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gab32a5584267f6873c2c5440985b501c4" kind="define" prot="public" static="no">
        <name>A2D_BAD_BLOCK_LEN</name>
        <initializer>0xDD</initializer>
        <briefdescription>
<para>None or multiple values have been selected for Block Length. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="106" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="106" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1gadc53a25f1e62cdf7c52f9785383d5f5f" kind="define" prot="public" static="no">
        <name>A2D_BAD_CP_TYPE</name>
        <initializer>0xE0</initializer>
        <briefdescription>
<para>The requested CP Type is not supported. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="107" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="107" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga19a0537dd304b8302061d7ab0e616618" kind="define" prot="public" static="no">
        <name>A2D_BAD_CP_FORMAT</name>
        <initializer>0xE1</initializer>
        <briefdescription>
<para>The format of Content Protection Service Capability/Content Protection Scheme Dependent Data is not correct. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="108" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="108" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925" kind="typedef" prot="public" static="no">
        <type>uint8_t</type>
        <definition>typedef uint8_t wiced_bt_a2d_status_t</definition>
        <argsstring />
        <name>wiced_bt_a2d_status_t</name>
        <briefdescription>
<para>A2DP status codes. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="110" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="110" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>A2D set bits.</header>
      <description><para><anchor id="group__wicedbt__av__a2d__helper_1A2D_SET_BIT" /> <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Return values from &lt;a href="group__wicedbt__av__a2d__helper.html#group__wicedbt__av__a2d__helper_1ga8ccbe103977bb96a5e441d382fdfd92c"&gt;wiced_bt_a2d_bits_set()&lt;/a&gt; &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>
</description>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga26c4da0ca1302d277062ffe019691516" kind="define" prot="public" static="no">
        <name>A2D_SET_ONE_BIT</name>
        <initializer>1</initializer>
        <briefdescription>
<para>one and only one bit is set </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="122" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="122" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga85ac5b10048aea1745446013aa929957" kind="define" prot="public" static="no">
        <name>A2D_SET_ZERO_BIT</name>
        <initializer>0</initializer>
        <briefdescription>
<para>all bits clear </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="123" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="123" />
      </memberdef>
      <memberdef id="group__wicedbt__av__a2d__helper_1ga918081db9789f2672ff97f3bf19b64d8" kind="define" prot="public" static="no">
        <name>A2D_SET_MULTL_BIT</name>
        <initializer>2</initializer>
        <briefdescription>
<para>multiple bits are set </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="124" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="124" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__wicedbt__av__a2d__helper_1gaa41501df37f123cd9f12b7d789bdf74b" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() wiced_bt_a2d_find_cback(wiced_bool_t found, wiced_bt_a2d_service_t *p_service)</definition>
        <argsstring>(wiced_bool_t found, wiced_bt_a2d_service_t *p_service)</argsstring>
        <name>wiced_bt_a2d_find_cback</name>
        <briefdescription>
<para>A2D Find Service Discovery callback. </para>
        </briefdescription>
        <detaileddescription>
<para>Callback for A2D Find Service Discovery Records Registered using <ref kindref="member" refid="group__wicedbt__av__a2d__helper_1gaee4449a3ac58eb206334994ddaa4877d">wiced_bt_a2d_find_service()</ref> The callback function will be executed when service discovery is complete.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>found</parametername>
</parameternamelist>
<parameterdescription>
<para>: Record found status </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>p_service</parametername>
</parameternamelist>
<parameterdescription>
<para>: Contains result of SDP discovery process</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of event handling </para>
</simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This is the callback to notify the result of the SDP discovery process &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" bodystart="164" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="164" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__wicedbt__av__a2d__helper_1ga8ccbe103977bb96a5e441d382fdfd92c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_a2d_bits_set</definition>
        <argsstring>(uint8_t mask)</argsstring>
        <name>wiced_bt_a2d_bits_set</name>
        <param>
          <type>uint8_t</type>
          <declname>mask</declname>
        </param>
        <briefdescription>
<para>Check the number of bits set in a given mask (used to parse stream configuration masks) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">mask</parametername>
</parameternamelist>
<parameterdescription>
<para>: mask to check</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1A2D_SET_BIT">A2D_SET_BIT</ref> <linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wicedbt__av__a2d__helper_1gaee4449a3ac58eb206334994ddaa4877d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref></type>
        <definition>wiced_bt_a2d_status_t wiced_bt_a2d_find_service</definition>
        <argsstring>(uint16_t service_uuid, wiced_bt_device_address_t bd_addr, wiced_bt_a2d_sdp_db_params_t *p_db, wiced_bt_a2d_find_cback *p_cback)</argsstring>
        <name>wiced_bt_a2d_find_service</name>
        <param>
          <type>uint16_t</type>
          <declname>service_uuid</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__a2d__sdp__db__params__t">wiced_bt_a2d_sdp_db_params_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1gaa41501df37f123cd9f12b7d789bdf74b">wiced_bt_a2d_find_cback</ref> *</type>
          <declname>p_cback</declname>
        </param>
        <briefdescription>
<para>Performs Service Discovery and fetches SRC/SINK SDP Record Info. </para>
        </briefdescription>
        <detaileddescription>
<para>Information is returned for the first service record found on the server that matches the service UUID.There can only be one outstanding call to <ref kindref="member" refid="group__wicedbt__av__a2d__helper_1gaee4449a3ac58eb206334994ddaa4877d">wiced_bt_a2d_find_service()</ref> at a time; the application must wait for the callback before it makes another call to the function.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">service_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Indicates SRC or SNK. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD address of the peer device. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the information to initialize the discovery database. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the <ref kindref="member" refid="group__wicedbt__av__a2d__helper_1gaee4449a3ac58eb206334994ddaa4877d">wiced_bt_a2d_find_service()</ref> callback function.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" line="197" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Bluetooth A2DP Application Programming Interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_bt_sdp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="22"><highlight class="comment">**<sp /><sp />constants</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="preprocessor">#define<sp />A2D_SUPF_PLAYER<sp /><sp /><sp /><sp /><sp />0x0001<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="31"><highlight class="preprocessor">#define<sp />A2D_SUPF_MIC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0002<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="32"><highlight class="preprocessor">#define<sp />A2D_SUPF_TUNER<sp /><sp /><sp /><sp /><sp /><sp />0x0004<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="33"><highlight class="preprocessor">#define<sp />A2D_SUPF_MIXER<sp /><sp /><sp /><sp /><sp /><sp />0x0008<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="41"><highlight class="preprocessor">#define<sp />A2D_SUPF_HEADPHONE<sp /><sp />0x0001<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="42"><highlight class="preprocessor">#define<sp />A2D_SUPF_SPEAKER<sp /><sp /><sp /><sp />0x0002<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="43"><highlight class="preprocessor">#define<sp />A2D_SUPF_RECORDER<sp /><sp /><sp />0x0004<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="44"><highlight class="preprocessor">#define<sp />A2D_SUPF_AMP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0008<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="52"><highlight class="preprocessor">#define<sp />A2D_MEDIA_TYPE_AUDIO<sp /><sp /><sp /><sp />0x00<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="53"><highlight class="preprocessor">#define<sp />A2D_MEDIA_TYPE_VIDEO<sp /><sp /><sp /><sp />0x10<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />A2D_MEDIA_TYPE_MULTI<sp /><sp /><sp /><sp />0x20<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="62"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_SBC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="63"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_M12<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="64"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_M24<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x02<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_ATRAC<sp /><sp /><sp /><sp /><sp /><sp />0x04<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_VEND<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xFF<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_APTX<sp /><sp /><sp /><sp /><sp /><sp /><sp />A2D_MEDIA_CT_VEND<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="preprocessor">#define<sp />A2D_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="77"><highlight class="preprocessor">#define<sp />A2D_FAIL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0A<sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor">#define<sp />A2D_BUSY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0B<sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />A2D_INVALID_PARAMS<sp /><sp /><sp /><sp />0x0C<sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />A2D_WRONG_CODEC<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0D<sp /><sp /></highlight></codeline>
<codeline lineno="81"><highlight class="preprocessor">#define<sp />A2D_BAD_CODEC_TYPE<sp /><sp /><sp /><sp />0xC1<sp /><sp /></highlight></codeline>
<codeline lineno="82"><highlight class="preprocessor">#define<sp />A2D_NS_CODEC_TYPE<sp /><sp /><sp /><sp /><sp />0xC2<sp /><sp /></highlight></codeline>
<codeline lineno="83"><highlight class="preprocessor">#define<sp />A2D_BAD_SAMP_FREQ<sp /><sp /><sp /><sp /><sp />0xC3<sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor">#define<sp />A2D_NS_SAMP_FREQ<sp /><sp /><sp /><sp /><sp /><sp />0xC4<sp /><sp /></highlight></codeline>
<codeline lineno="85"><highlight class="preprocessor">#define<sp />A2D_BAD_CH_MODE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC5<sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />A2D_NS_CH_MODE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC6<sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="preprocessor">#define<sp />A2D_BAD_SUBBANDS<sp /><sp /><sp /><sp /><sp /><sp />0xC7<sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="preprocessor">#define<sp />A2D_NS_SUBBANDS<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC8<sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="preprocessor">#define<sp />A2D_BAD_ALLOC_MTHD<sp /><sp /><sp /><sp />0xC9<sp /><sp /></highlight></codeline>
<codeline lineno="90"><highlight class="preprocessor">#define<sp />A2D_NS_ALLOC_MTHD<sp /><sp /><sp /><sp /><sp />0xCA<sp /><sp /></highlight></codeline>
<codeline lineno="91"><highlight class="preprocessor">#define<sp />A2D_BAD_MIN_BITPOOL<sp /><sp /><sp />0xCB<sp /><sp /></highlight></codeline>
<codeline lineno="92"><highlight class="preprocessor">#define<sp />A2D_NS_MIN_BITPOOL<sp /><sp /><sp /><sp />0xCC<sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="preprocessor">#define<sp />A2D_BAD_MAX_BITPOOL<sp /><sp /><sp />0xCD<sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="preprocessor">#define<sp />A2D_NS_MAX_BITPOOL<sp /><sp /><sp /><sp />0xCE<sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />A2D_BAD_LAYER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xCF<sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="preprocessor">#define<sp />A2D_NS_LAYER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD0<sp /><sp /></highlight></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />A2D_NS_CRC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD1<sp /><sp /></highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />A2D_NS_MPF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD2<sp /><sp /></highlight></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />A2D_NS_VBR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD3<sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="preprocessor">#define<sp />A2D_BAD_BIT_RATE<sp /><sp /><sp /><sp /><sp /><sp />0xD4<sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="preprocessor">#define<sp />A2D_NS_BIT_RATE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD5<sp /><sp /></highlight></codeline>
<codeline lineno="102"><highlight class="preprocessor">#define<sp />A2D_BAD_OBJ_TYPE<sp /><sp /><sp /><sp /><sp /><sp />0xD6<sp /><sp /></highlight></codeline>
<codeline lineno="103"><highlight class="preprocessor">#define<sp />A2D_NS_OBJ_TYPE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD7<sp /><sp /></highlight></codeline>
<codeline lineno="104"><highlight class="preprocessor">#define<sp />A2D_BAD_CHANNEL<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD8<sp /><sp /></highlight></codeline>
<codeline lineno="105"><highlight class="preprocessor">#define<sp />A2D_NS_CHANNEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD9<sp /><sp /></highlight></codeline>
<codeline lineno="106"><highlight class="preprocessor">#define<sp />A2D_BAD_BLOCK_LEN<sp /><sp /><sp /><sp /><sp />0xDD<sp /><sp /></highlight></codeline>
<codeline lineno="107"><highlight class="preprocessor">#define<sp />A2D_BAD_CP_TYPE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xE0<sp /><sp /></highlight></codeline>
<codeline lineno="108"><highlight class="preprocessor">#define<sp />A2D_BAD_CP_FORMAT<sp /><sp /><sp /><sp /><sp />0xE1<sp /><sp /></highlight></codeline>
<codeline lineno="110"><highlight class="preprocessor">typedef<sp />uint8_t<sp />wiced_bt_a2d_status_t;<sp /></highlight></codeline>
<codeline lineno="114"><highlight class="preprocessor" /><highlight class="comment">/*<sp /><sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="preprocessor">#define<sp />A2D_SET_ONE_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="preprocessor">#define<sp />A2D_SET_ZERO_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="124"><highlight class="preprocessor">#define<sp />A2D_SET_MULTL_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp />2<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="127"><highlight class="preprocessor" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="128"><highlight class="comment">**<sp /><sp />type<sp />definitions</highlight></codeline>
<codeline lineno="129"><highlight class="comment">*****************************************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131" refid="structwiced__bt__a2d__sdp__db__params__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal">{</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />db_len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />num_attr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref><sp /><sp /><sp /><sp />*p_db;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*p_attrs;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="137"><highlight class="normal">}<sp /><ref kindref="compound" refid="structwiced__bt__a2d__sdp__db__params__t">wiced_bt_a2d_sdp_db_params_t</ref>;</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="140" refid="structwiced__bt__a2d__service__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">{</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />service_len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />provider_len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*<sp /><sp /><sp /><sp />p_service_name;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*<sp /><sp /><sp /><sp />p_provider_name;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />features;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />avdt_version;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal">}<sp /><ref kindref="compound" refid="structwiced__bt__a2d__service__t">wiced_bt_a2d_service_t</ref>;</highlight></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(<ref kindref="member" refid="group__wicedbt__av__a2d__helper_1gaa41501df37f123cd9f12b7d789bdf74b">wiced_bt_a2d_find_cback</ref>)(<ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />found,<sp /><ref kindref="compound" refid="structwiced__bt__a2d__service__t">wiced_bt_a2d_service_t</ref>*<sp />p_service);</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal">{</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal">uint8_t<sp /><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga8ccbe103977bb96a5e441d382fdfd92c">wiced_bt_a2d_bits_set</ref>(uint8_t<sp />mask);</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal"><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref><sp /><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1gaee4449a3ac58eb206334994ddaa4877d">wiced_bt_a2d_find_service</ref>(<sp />uint16_t<sp />service_uuid,<sp /><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp /><ref kindref="compound" refid="structwiced__bt__a2d__sdp__db__params__t">wiced_bt_a2d_sdp_db_params_t</ref><sp />*p_db,<sp /><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1gaa41501df37f123cd9f12b7d789bdf74b">wiced_bt_a2d_find_cback</ref><sp />*p_cback<sp />);</highlight></codeline>
<codeline lineno="198"><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal">}</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="comment">/*<sp />@endcond<sp />*/</highlight></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" />
  </compounddef>
</doxygen>